Skip to main content
`Ctrl`+`K`

# PetscLogEventIncludeClass

Activates event logging for a PETSc object class in every stage.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogEventIncludeClass(PetscClassId classid)

Not Collective

## Input Parameter

- classid - The object class, for example `MAT_CLASSID`, `SNES_CLASSID`, etc.

## See Also

Profiling, `PetscLogEventActivateClass()`, `PetscLogEventDeactivateClass()`, `PetscLogEventActivate()`, `PetscLogEventDeactivate()`

## Level

developer

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages